> For the complete documentation index, see [llms.txt](https://developer.barchart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.barchart.com/getting-started/subscription-types/ohlc.md).

# OHLC

Subscribe to `OHLC` to receive open, high, low, close, and volume data on one-minute wall-clock intervals. Openfeed sends an `ohlc` message only when the market is open and the instrument trades during that interval.

Each message includes the interval's trade count, price-volume total, and start and end timestamps. The following examples show one-minute OHLC data for IBM and MRO.

### OHLC message examples

```protobuf
ohlc {
  marketId: 7407899234554252829
  symbol: "IBM"
  open {
    price: 1373400
  }
  high {
    price: 1373900
  }
  low {
    price: 1373400
  }
  close {
    price: 1373750
  }
  volume: 2340
  priceVolume: 321419.70859999995
  numberTrades: 38
  tradeDate: 20210928
  transactionTime: 1632852360052000000
  openStartTime: 1632852354600000000
  closeEndTime: 1632852355524000000
}

ohlc {
  marketId: 364773838655189731
  symbol: "MRO"
  open {
    price: 138250
  }
  high {
    price: 138300
  }
  low {
    price: 138250
  }
  close {
    price: 138300
  }
  volume: 8974
  priceVolume: 124107.81999999999
  numberTrades: 56
  tradeDate: 20210928
  transactionTime: 1632852360052000000
  openStartTime: 1632852343516000000
  closeEndTime: 1632852358488000000
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.barchart.com/getting-started/subscription-types/ohlc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
